- hosts: all
  gather_facts: true

  vars:
    packages:
      - git
      - make
      - postgresql
      - python3-psycopg2
      - acl
    git_repo: https://github.com/hexlet-components/pg-dump-example.git
    git_dir: /home/vagrant/pg-dump-example
    allow_world_readable_tmpfiles: true

  tasks:
  
    - name: install packages
      apt:
        pkg: "{{ packages }}"
        state: present
      become: yes

    - name: clone the code repository
      git:
        repo: "{{ git_repo }}"
        dest: "{{ git_dir }}"
      become: yes

    - name: make db
      shell:
        chdir: "{{ git_dir }}"
        cmd: make dev-setup
      become: yes
      become_user: postgres

    - name: run a script
      ansible.builtin.script: ./script.sh
